#ifndef PYRMAP_H_SENTRY
#define PYRMAP_H_SENTRY

struct dungeon_map {
    unsigned char *data;
    int x, y;
};

void make_solid_map(struct dungeon_map *map, int x, int y);
void clear_map(struct dungeon_map *map);

void print_map(const struct dungeon_map *map);
int save_map(const struct dungeon_map *map, const char *fname);

int get_room(const struct dungeon_map *map, int x, int y);
void set_room(const struct dungeon_map *map, int x, int y, int val);
void set_region(const struct dungeon_map *map,
                int x, int y, int m, int n, int val);

#endif
